> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-api/core-api/available-resources/face-authentication.md).

# Face Authentication

{% hint style="warning" %}
**This API is deprecated.**

The Core API is no longer recommended for new integrations. It will remain functional exclusively for existing clients. Migration to the [Connect API](/caf-api/connect/getting_started.md) is strongly recommended.

For more details, see the [Deprecation Policy](/caf-api/deprecation-policy-for-resources.md).
{% endhint %}

## Face Authentication

Face Authentication is a biometric service that enables face registration and authentication through facial comparison. This resource provides endpoints to register faces for individuals and query facial authentication attempts.

### Face Registration

The registration endpoint allows associating a facial image with a person identifier (`personId`), creating a biometric reference that will be used later for authentication.

{% hint style="info" %}
Faces registered by this endpoint will be used for facial comparison through the CafSdk or [CafFaceLiveness](https://docs.caf.io/caf-sdk/web-javascript/getting-started/face-liveness-and-face-authenticator) SDKs. SDKs documented as deprecated will not necessarily use these facial registrations.
{% endhint %}

{% openapi src="/files/jozcEJrHkbFiuvJKEnR5" path="/faces" method="post" %}
[gtw-register-faces.yaml](https://3218940882-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FbVxCOSyBojfSIE5fcpfH%2Fuploads%2Fgit-blob-8946119014b641aa3ab7c72f748285028c5d0cb1%2Fgtw-register-faces.yaml?alt=media)
{% endopenapi %}

### Face Authentication Attempt Query

The query endpoint allows retrieving information about a specific facial authentication attempt, including URLs of the images used.

{% openapi src="/files/OVoALMML1aVBHCoNPy4h" path="/faces/attempts/{attemptId}" method="get" %}
[gtw-get-attempt.yaml](https://3218940882-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FbVxCOSyBojfSIE5fcpfH%2Fuploads%2Fgit-blob-d6851ab0ed44fd1a868008f8436dcc350708d0cd%2Fgtw-get-attempt.yaml?alt=media)
{% endopenapi %}

{% hint style="warning" %}
**Important Notice about Integrations**

To ensure the stability and security of our services, it is mandatory to implement integrations with Caf APIs exclusively via backend/server-side, as frontend calls (via browser or client-side) may be blocked by our systems when multiple IPs or browser user agents are detected. Furthermore, client-side integrations expose authentication keys to the risk of leakage and malicious use, which may lead to unauthorized resource consumption and additional charges. Authentication keys found to be used in incorrect implementations will be immediately deactivated.

We always recommend: (1) implementing on the backend, (2) using proper headers and authentication, and (3) never exposing credentials on the client-side. Please refer to our documentation for details or contact our technical support team.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-api/core-api/available-resources/face-authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
